Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes

VkShaderModule | shader_module = VK_NULL_HANDLE
VkDescriptorSetLayout * | descriptor_set_layouts = nullptr
VkPipelineLayout | pipeline_layout = VK_NULL_HANDLE
uint32_t | shader_count = 0
VulkanShaderBinding * | shader_bindings = nullptr

## Detailed Description

Definition at line 60 of file vulkan_resources.h.

## Member Data Documentation

## shader_module

VkShaderModule Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule::shader_module = VK_NULL_HANDLE

Definition at line 61 of file vulkan_resources.h.

## descriptor_set_layouts

VkDescriptorSetLayout* Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule::descriptor_set_layouts = nullptr

Definition at line 62 of file vulkan_resources.h.

## pipeline_layout

VkPipelineLayout Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule::pipeline_layout = VK_NULL_HANDLE

Definition at line 63 of file vulkan_resources.h.

## shader_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule::shader_count = 0

Definition at line 64 of file vulkan_resources.h.

## shader_bindings

VulkanShaderBinding* Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule::shader_bindings = nullptr

Definition at line 65 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h